<?php
// SLOPE RESERVATIONS

// Callback slope reservations
function slope_reservations_intro() {
	echo "<div class='slope-setting-container'>";
	echo '<p>' . esc_html__('Personalizza il widget di prenotazione di Slope. Usa lo shortcode ', 'slope-widgets') . '<strong>[slope-reservations]</strong> ' . esc_html__('per inserirlo dove vuoi!', 'slope-widgets') . '</p>';
	echo '<p>' . esc_html__('Inserisci qui di seguito l\'identificativo della tua struttura e clicca su ', 'slope-widgets') . '<strong>' . esc_html__('Salva modifiche', 'slope-widgets') . '</strong></p>
          <p>' . esc_html__('Hai acquistato Slope ma non hai ancora l\'ID?', 'slope-widgets') . ' <a href="mailto:info@slope.it?subject=' . esc_html__('Richiesta ID Struttura da Slope Widgets WP Plugin', 'slope-widgets') . '">' . esc_html__('Richiedilo ora', 'slope-widgets') . '</a>.</p>';

	$options = get_option('slope_options');
	// Settings
	// Text field: slope_options[uuid]
	echo "<div class='setting-field'>
            <label>" . esc_html__('ID struttura', 'slope-widgets') . "<input id='slope_uuid' name='slope_options[uuid]' size='40' type='text' value='{$options['uuid']}' placeholder='" . esc_html__('Il tuo Slope ID', 'slope-widgets') . "' /></label>
        </div>";

	// Text field: slope_options[button_value]
	echo "<div class='setting-field'> 
            <label>" . esc_html__('Testo del pulsante in italiano', 'slope-widgets') . "<input id='slope_button_value' name='slope_options[button_value]' size='15' type='text' value='{$options['button_value']}' placeholder='" . esc_html__('Es: Prenota', 'slope-widgets') . "' /></label>
        </div>";

	// Text field: slope_options[button_value_en]
	echo "<div class='setting-field'> 
            <label>" . esc_html__('Testo del pulsante in inglese', 'slope-widgets') . "<input id='slope_button_value_en' name='slope_options[button_value_en]' size='15' type='text' value='{$options['button_value_en']}' placeholder='" . esc_html__('Es: Book now', 'slope-widgets') . "' /></label>
        </div>";

	// Text field: slope_options[children_age_min and slope_options[children_age_max]
	echo "<div class='setting-field'> 
            <label>" . esc_html__('Fascia età bambini espressa in anni', 'slope-widgets') . "<input id='slope_children_age_min' name='slope_options[children_age_min]' type='number'step='1'min='0'max'99'size='7' value='{$options['children_age_min']}' placeholder='" . esc_html__('Min', 'slope-widgets') . "'/>
                <input id='slope_children_age_max' style='margin-left:70px' name='slope_options[children_age_max]' type='number' step='1'min='1'max'99'size='7' value='{$options['children_age_max']}' placeholder='" . esc_html__('Max', 'slope-widgets') . "' /> 
            </label>
        </div>";

	// Text field: slope_options[min_days]
	echo "<div class='setting-field'>
			<label>" . esc_html__('Soggiorno minimo suggerito', 'slope-widgets') . "<input id='slope_min_days' name='slope_options[min_days]' size='7' type='text' value='{$options['min_days']}' placeholder='" . esc_html__('Es: 3', 'slope-widgets') . "' /></label>
		</div>";

	// Checkbox: slope_options[show_children]
	if ($options['show_children']) {
		$checkedChildren = ' checked="checked" ';
	}
	echo "<div class='setting-field'>
			<label class='checkbox-children'>" . esc_html__('Mostra selezione bambini', 'slope-widgets') . "<input " . $checkedChildren . " id='slope_show_children' name='slope_options[show_children]' type='checkbox' /></label>
		</div>";

	// Checkbox: slope_options[show_infants]
	if ($options['show_infants']) {
		$checkedInfants = ' checked="checked" ';
	}
	echo "<div class='setting-field'>
			<label class='checkbox-infants'>" . esc_html__('Mostra selezione neonati', 'slope-widgets') . "<input " . $checkedInfants . " id='slope_show_infants' name='slope_options[show_infants]' type='checkbox' /></label>
		</div>";
	echo "</div>";

	// Style
	echo "<div class='slope-style-container'>";

	// Colorpicker: slope_options[calendar_color]
	echo "<div class='setting-field'>
			<label>" . esc_html__('Colore principale del calendario', 'slope-widgets') . "</label><input id='colorpicker' name='slope_options[calendar_color]' type='text' class='slope_calendar_color' value='{$options['calendar_color']}' /> 
		</div>";

	// Colorpicker: slope_options[text_color]
	echo "<div class='setting-field'>
			<label>" . esc_html__('Colore etichette', 'slope-widgets') . "</label><input id='colorpicker'name='slope_options[text_color]' type='text' class='slope_text_color' value='{$options['text_color']}' />
		</div>";

	// Colorpicker: slope_options[button_color]
	echo "<div class='setting-field'>
			<label>" . esc_html__('Colore del pulsante', 'slope-widgets') . "</label><input id='colorpicker' name='slope_options[button_color]' type='text'class='slope_button_color' value='{$options['button_color']}' />
		</div>";

	// Colorpicker: slope_options[text_button_color]
	echo "<div class='setting-field'>
			<label>" . esc_html__('Colore testo del pulsante', 'slope-widgets') . "</label><input id='colorpicker' name='slope_options[text_button_color]' type='text' class='slope_text_button_color' value='{$options['text_button_color']}' /> 
		</div>";

	//Colorpicker: slope_options[color_stepper_button]
	echo "<div class='setting-field'>
			<label>" . esc_html__('Colore pulsanti dello stepper', 'slope-widgets') . "</label><input id='colorpicker' name='slope_options[color_stepper_button]' type='text' class='slope_color_stepper_button' value='{$options['color_stepper_button']}' /> 
		</div>";

	// Text field: slope_options[range_button]
	echo "<div class='style-field'><label>" . esc_html__('Arrotonda angoli dei pulsanti', 'slope-widgets') . " (<input id='text_range_button' readonly='text' class='slope_range_button' value='{$options['range_button']}' />px)</label>
			<input id='range_button' min='0' max='20'  name='slope_options[range_button]' type='range' class='slope_range_button' value='{$options['range_button']}' onchange='text_range_button.value=value' />
		</div>";

	//Text field: slope_options[font_size]
	echo "<div class='style-field '><label>" . esc_html__('Modifica la dimensione dei caratteri', 'slope-widgets') . " (<input id='text_font_size' readonly='text' class='slope_font_size'value='{$options['font_size']}' />px)</label>
			<input id='font_size' min='10' max='25' name='slope_options[font_size]' type='range' class='slope_font_size' value='{$options['font_size']}' onchange='text_font_size.value=value' />
		</div>";

	// CheckBox: slope_options[select_font_weight]
	echo "<div class='setting-field'><label>" . esc_html__('Etichette in grassetto', 'slope-widgets') . "</label>";

	if ($options['select_font_weight']) {
		$checkedBook = ' checked="checked" ';
	}

	echo "<input" . $checkedBook . " id='slope_select_font_weight' name='slope_options[select_font_weight]' type='checkbox' />
	</div>";

	echo "<div class='setting-field'><label>" . esc_html__('Selettore calendario rotondo', 'slope-widgets') . "</label>";
	if ($options['calendar_circle_hover']) {
		$checkedHoverCalendar = ' checked="checked" ';
	}
	echo "<input" . $checkedHoverCalendar . " id='slope_calendar_cirlce_hover' name='slope_options[calendar_circle_hover]' type='checkbox' />
	</div>";

	echo "</div>";

	// Layout
	// Radio: slope_options[option_set]
	echo "<div class='slope-layout-container radio-field'>";
	$items = array(
		SLOPE_LAYOUT_HORIZONTAL => esc_html__('Orizzontale', 'slope-widgets'),
		SLOPE_LAYOUT_VERTICAL => esc_html__('Verticale', 'slope-widgets'),
		SLOPE_LAYOUT_AUTO => esc_html__('Automatico', 'slope-widgets'),
	);
	echo "<label class='layout-field'>" . esc_html__('Scegli un layout', 'slope-widgets') . "<br/></label>";
	foreach ($items as $value => $item) {

		$checked = ($options['option_set'] == $value) ? ' checked="checked" ' : '';
		echo "<label><input" . $checked . " value='$value' name='slope_options[option_set]' type='radio' />$item</label><br/>";
	}

	// Text field: slope_options[book_target]
	echo "<label class='layout-field' >" . esc_html__('Apri il booking engine in una nuova scheda', 'slope-widgets');
	if ($options['book_target']) {
		$checkedBook = ' checked="checked" ';
	}
	echo "<input" . $checkedBook . " id='slope_book_target' name='slope_options[book_target]' type='checkbox' /></label>";
	echo '</div>';
}

// HTML documentation
function slope_reservations_settings_docs() {
	echo '<div class="docs-container"><h1>' . esc_html__('Documentazione', 'slope-widgets') . '</h1>
		<p>' . esc_html__('Slope Widgets funziona con uno ', 'slope-widgets') . '<strong>shortcode</strong>.' . esc_html__(' Per sapere come funzionano, controlla la ', 'slope-widgets') .
		'<a href="https://en.support.wordpress.com/shortcodes/" target="_blank">' . esc_html__('documentazione ufficiale', 'slope-widgets') . '</a>' . esc_html__(' di WordPress.', 'slope-widgets') . '</p>
		<p>' . esc_html__('Se il sito web della tua struttura è ', 'slope-widgets') . '<strong>' . esc_html__(' multilingua', 'slope-widgets') . '</strong>'
		. esc_html__(' o preferisci comunque mostrare il widget di prenotazione e il booking engine in lingua inglese, aggiungi il parametro opzionale ', 'slope-widgets') .
		'<strong>lang=en </strong>' . esc_html__('allo shortcode che inserirai nelle pagine in inglese.', 'slope-widgets') . '</p>
		<p>' . esc_html__('Invece, se preferisci che il booking engine e la barra delle prenotazioni vengano mostrati sempre in italiano, usa il parametro opzionale ', 'slope-widgets') . ' ' . '<strong> lang=it</strong>.</p><br/>
		<p><em>' . esc_html__('Esempi:', 'slope-widgets') . '</em></p><p><strong>[slope-reservations]</strong> ' . esc_html__('mostra la barra delle prenotazioni in italiano e il booking engine si adatta in base alla lingua del browser del cliente.', 'slope-widgets') . '</p>
		<p><strong>[slope-reservations lang=en]</strong> ' . esc_html__('mostra widget e booking engine sempre in inglese.', 'slope-widgets') . '</p>
		<p><strong>[slope-reservations lang=it]</strong> ' . esc_html__('mostra widget e booking engine sempre in italiano.', 'slope-widgets') . '</p>
	</div>';
}

// Shows the admin page of RESERVATIONS settings
function slope_reservations_options_page() {
	echo '<div class="wrap">
			<h1>Slope Reservations</h1>'; ?>
			<?php settings_errors(); ?>
			<form action="options.php" method="post">
				<h2 class="nav-tab-wrapper">
					<a id='setting_page_select' href='#' class='nav-tab nav-tab-active' onclick='activate_page_setting()'><?php esc_attr_e('Impostazioni', 'slope-widgets') ?></a>
					<a id='style_page_select' href='#' class='nav-tab' onclick='activate_page_style()'><?php esc_attr_e('Stile', 'slope-widgets') ?></a>
					<a id='layout_page_select' href='#' class='nav-tab' onclick='activate_page_layout()'><?php esc_attr_e('Layout', 'slope-widgets') ?></a>
				</h2>
				<?php settings_fields('slope_options'); ?>
				<?php do_settings_sections('slope_reservations_page'); ?>
				<div class="button-save">
					<input name="Submit" type="submit" class="button-primary" value="<?php esc_attr_e('Salva modifiche', 'slope-widgets'); ?>" />
				</div>
			</form>
		</div>
	<?php
}

// Validate text fields to exclude HTML input
function slope_reservations_options_validate($input) {
	$input['uuid'] = wp_filter_nohtml_kses($input['uuid']);
	$input['button_value'] = wp_filter_nohtml_kses($input['button_value']);
	$input['button_value_en'] = wp_filter_nohtml_kses($input['button_value_en']);
	$input['children_age_min'] = wp_filter_nohtml_kses($input['children_age_min']);
	$input['children_age_max'] = wp_filter_nohtml_kses($input['children_age_max']);
	$input['min_days'] = wp_filter_nohtml_kses($input['min_days']);
	return $input;
}

// Content to show with the shortcode [slope-reservations]
function slope_reservations($atts) {
	$options = get_option('slope_options');
	$defaultColorStepperButton = '#eee';
	$defaultCalendarColor = '#444';
	?>
	<style type="text/css">
		/* Checkbox Selettore Calendario */
		<?php  if ($options['calendar_circle_hover']) {?>
		a.ui-state-default,
		.ui-state-default.ui-state-active,
		.ui-widget-content .ui-state-active,
		a.ui-state-default:hover {
			border-radius: 50px;
			position: relative;
			bottom: 10px
		}
		<?php
	}
	?>

		/* Calendar style */
		.ui-datepicker-title {
			color: <?php echo $options['calendar_color'] ?: $defaultCalendarColor ?>;
		}

		.ui-datepicker-calendar th {
			color: <?php echo $options['calendar_color'] ?: $defaultCalendarColor ?>;
		}

		.ui-state-default.ui-state-active {
			background-color: <?php echo $options['calendar_color'] ?: $defaultCalendarColor ?> !important;
		}

		a.ui-state-default:hover {
			background-color: <?php echo $options['calendar_color']  ?: $defaultCalendarColor ?> !important;
			opacity: 0.7;
		}

		.ui-datepicker .ui-datepicker-next,
		.ui-datepicker .ui-datepicker-prev {
			color: <?php echo $options['calendar_color'] ?: $defaultCalendarColor ?>;
		}

		/* Stepper style */
		.slope-stepper-container .decrement-button,
		.slope-stepper-container .increment-button {
			background: <?php echo $options['color_stepper_button'] ?: $defaultColorStepperButton ?>;
		}

		.slope-block .slope-stepper-container .valore-stepper {
			border-top: 1px solid <?php echo $options['color_stepper_button'] ?: $defaultColorStepperButton; ?> !important;
			border-bottom: 1px solid <?php echo $options['color_stepper_button'] ?: $defaultColorStepperButton ?> !important;
		}

		/* Rounding angle adjustment  */
		.slope-block .slope-stepper-container .increment-button,
		.slope-block .slope-stepper-container .decrement-button {
			border-radius: 0px <?php echo $options['range_button'] ?>px <?php echo $options['range_button'] ?>px 0px;
			border: 1px solid<?php echo $options['color_stepper_button'] ?: $defaultColorStepperButton ?>;
		}

		.slope-block input[type="submit"] {
			border-radius: <?php echo $options['range_button'] ?>px;
		}

		/* Character style */
		.slope-block label {
			font-size: <?php echo $options['font_size'] ?>px;
			color: <?php echo $options['text_color'] ?>;
		}

		/* Font bold  */
		<?php  if ($options['select_font_weight']) {?>
		.slope-block label {
			font-weight: bold;
		}

		<?php } ?>
	</style>
	<?php

	$atts = shortcode_atts(

		array(
			'lang' => '',
		), $atts

	);

	echo "<div id='slope-widgets-config' data-language='{$atts['lang']}' data-min-days='{$options['min_days']}'></div>";

// Verify if the option to open the booking engine in a new tab is marked and sets the 'target' in the variable '$book_target'. By default the boking engine opens up in theh same tab.
	$book_target = '_self';
	if ($options['book_target']) {
		$book_target = '_blank';
	}

// If the shortcode has the parameter 'language' set to 'en'
	if ($atts['lang'] == 'en') {

		$html = '<div class="slope-widgets-container">
					<form action="https://booking.slope.it/widgets/search/' . $options['uuid'] . '/en" method="POST">
					<div class="slope-block"><label class="arrivo-label">Arrival:</label><input readonly id="arrival" name="reservation[stay][arrival]" /></div>
					<div class="slope-block"><label class="partenza-label">Departure:</label><input readonly id="departure" name="reservation[stay][departure]" /></div>
					<div class="slope-block"><label class="stepper-label">Adults:</label>
					<div class="slope-stepper-container">
					<input class="decrement-button" type="button" value="-" onclick="decrementAdults();" />
					<input class="valore-stepper" type="text" name="reservation[guests][adults]" id="adults" value="2" min="1" max="99" />
					<input class="increment-button" type="button" value="+" onclick="incrementAdults();" />
				</div></div>';
		if (($options['show_children']) && ($options['show_infants'])) {
			if (($options['children_age']) or ($options['children_age_min']) or ($options['children_age_max'])) {
				$html .= '<div class="slope-block">
                <label class="stepper-label">Children (age ' . $options['children_age_min'] . ' - ' . $options['children_age_max'] . '):</label>';
			} else {
				$html .= '<div class="slope-block">
                <label class="stepper-label">Children :</label>';
			}
			$html .= '<div class="slope-stepper-container">
					<input class="decrement-button" type="button" value="-" onclick="decrementChildren();" />
					<input class="valore-stepper" type="text" name="reservation[guests][children]" id="children" value="0" min="0" max="99" />
					<input class="increment-button" type="button" value="+" onclick="incrementChildren();" />
				</div></div>';
		} else if ($options['show_children']) {
			if (($options['children_age']) or ($options['children_age_min']) or ($options['children_age_max'])) {
				$html .= '<div class="slope-block"><label class="stepper-label">Children (age ' . $options['children_age_min'] . ' - ' . $options['children_age_max'] . '):</label>';
			} else {
				$html .= '<div class="slope-block"><label class="stepper-label">Children :</label>';
			}
			$html .= '<div class="slope-stepper-container">
                        <input class="decrement-button" type="button" value="-" onclick="decrementChildren();" />
                        <input class="valore-stepper" type="text" name="reservation[guests][children]" id="children" value="0" min="0" max="99" />
                        <input class="increment-button" type="button" value="+" onclick="incrementChildren();" />
					</div></div>';
		} else if ($options['show_infants']) {
			$html .= '<div class="slope-block"><label>Infants:</label>
                        <div class="slope-stepper-container">
                        <input class="decrement-button" type="button" value="-" onclick="decrementInfants();" />
                        <input class="valore-stepper" type="text" name="reservation[guests][infants]" id="infants" value="0" min="0" max="99" />
                        <input class="increment-button" type="button" value="+" onclick="incrementInfants();" />
					</div></div>';
		}
		// Background color and button text
		return $html . '<div class="slope-block"><input type="submit" value="' . $options['button_value_en'] . '"style="background:' . $options['button_color'] . ';color:' . $options['text_button_color'] . '" formtarget="' . $book_target . '"></div></form></div>' . $content;
	} // If the shortcode has the parameter 'language' set to 'it'
	else if ($atts['lang'] == 'it') {

		$html = '<div class="slope-widgets-container"><form action="https://booking.slope.it/widgets/search/' . $options['uuid'] . '/it" method="POST">
                    <div class="slope-block"><label class="arrivo-label">Data di arrivo:</label><input readonly id="arrival" name="reservation[stay][arrival]" /></div>
                    <div class="slope-block"><label class="partenza-label">Data di partenza:</label><input readonly id="departure" name="reservation[stay][departure]" /></div>
                    <div class="slope-block"><label class="stepper-label">Adulti:</label>
                    <div class="slope-stepper-container">
                    <input class="decrement-button" type="button" value="-" onclick="decrementAdults();" />
                    <input class="valore-stepper" type="text" name="reservation[guests][adults]" id="adults" value="2" min="2" max="99" />
                    <input class="increment-button" type="button" value="+" onclick="incrementAdults();" />
				</div></div>';
		if (($options['show_children']) && ($options['show_infants'])) {
			if (($options['children_age']) or ($options['children_age_min']) or ($options['children_age_max'])) {
				$html .= '<div class="slope-block"><label class="stepper-label">Bambini (età ' . $options['children_age_min'] . ' - ' . $options['children_age_max'] . '):</label>';
			} else {
				$html .= '<div class="slope-block"><label class="stepper-label">Bambini:</label>';
			}
			$html .= '<div class="slope-stepper-container">
                        <input class="decrement-button" type="button" value="-" onclick="decrementChildren();" />
                        <input class="valore-stepper" type="text" name="reservation[guests][children]" id="children" value="0" min="0" max="99" />
                        <input class="increment-button" type="button" value="+" onclick="incrementChildren();" />
                        </div></div>
                        <div class="slope-block"><label class="stepper-label">Neonati:</label>
                        <div class="slope-stepper-container">
                        <input class="decrement-button" type="button" value="-" onclick="decrementInfants();" />
                        <input class="valore-stepper" type="text" name="reservation[guests][infants]" id="infants" value="0" min="0" max="99" />
                        <input class="increment-button" type="button" value="+" onclick="incrementInfants();" />
					</div></div>';
		} else if ($options['show_children']) {
			if (($options['children_age']) or ($options['children_age_min']) or ($options['children_age_max'])) {
				$html .= '<div class="slope-block"><label class="stepper-label">Bambini (età ' . $options['children_age_min'] . ' - ' . $options['children_age_max'] . '):</label>';
			} else {
				$html .= '<div class="slope-block"><label class="stepper-label">Bambini:</label>';
			}
			$html .= '<div class="slope-stepper-container">
                        <input class="decrement-button" type="button" value="-" onclick="decrementChildren();" />
                        <input class="valore-stepper" type="text" name="reservation[guests][children]" id="children" value="0" min="0" max="99"  >
                        <input class="increment-button" type="button" value="+" onclick="incrementChildren();" />
                        </div></div>';
		} else if ($options['show_infants']) {
			$html .= '<div class="slope-block"><label>Neonati:</label>
                        <div class="slope-stepper-container">
                        <input class="decrement-button" type="button" value="-" onclick="decrementInfants();" />
                        <input class="valore-stepper" type="text" name="reservation[guests][infants]" id="infants" value="0" min="0" max="99"  >
                        <input class="increment-button" type="button" value="+" onclick="incrementInfants();" />
					</div></div>';
		}

		// Background color and button text
		return $html . '<div class="slope-block"><input type="submit" value="' . $options['button_value'] . '" style="background:' . $options['button_color'] . ';color:' . $options['text_button_color'] . '" formtarget="' . $book_target . '"></div></form></div>' . $content;

	} // If the shortcode has the parameter 'language' not setted
	else {
		$html = '<div class="slope-widgets-container"><form action="https://booking.slope.it/widgets/search/' . $options['uuid'] . '" method="POST">
					<div class="slope-block"><label class="arrivo-label">Data di arrivo:</label><input readonly id="arrival" name="reservation[stay][arrival]"></div>
					<div class="slope-block"><label class="partenza-label">Data di partenza:</label><input readonly id="departure" name="reservation[stay][departure]"></div>
					<div class="slope-block"><label class="stepper-label">Adulti:</label>
					<div class="slope-stepper-container">
					<input class="decrement-button" type="button" value="-" onclick="decrementAdults();" />
					<input class="valore-stepper" type="text" name="reservation[guests][adults]" id="adults" value="2" min="1" max="99">
					<input class="increment-button" type="button" value="+" onclick="incrementAdults();" />
				</div></div>';
		if (($options['show_children']) && ($options['show_infants'])) {
			if (($options['children_age']) or ($options['children_age_min']) or ($options['children_age_max'])) {
				$html .= '<div class="slope-block"><label class="stepper-label">Bambini (età ' . $options['children_age_min'] . ' - ' . $options['children_age_max'] . '):</label>';
			} else {
				$html .= '<div class="slope-block"><label class="stepper-label">Bambini:</label>';
			}
			$html .= '<div class="slope-stepper-container">
						<input class="decrement-button" type="button" value="-" onclick="decrementChildren();" />
						<input class="valore-stepper" type="text" name="reservation[guests][children]" id="children" value="0" min="0" max="99" >
						<input class="increment-button" type="button" value="+" onclick="incrementChildren();" />
						</div></div>
						<div class="slope-block"><label class="stepper-label">Neonati:</label>
						<div class="slope-stepper-container">
						<input class="decrement-button" type="button" value="-" onclick="decrementInfants();" />
						<input class="valore-stepper" type="text" name="reservation[guests][infants]" id="infants" value="0" min="0" max="99" >
						<input class="increment-button" type="button" value="+" onclick="incrementInfants();" />
					</div></div>';
		} else if ($options['show_children']) {
			if (($options['children_age']) or ($options['children_age_min']) or ($options['children_age_max'])) {
				$html .= '<div class="slope-block"><label class="stepper-label">Bambini (età ' . $options['children_age_min'] . ' - ' . $options['children_age_max'] . '):</label>';
			} else {
				$html .= '<div class="slope-block"><label class="stepper-label">Bambini:</label>';
			}
			$html .= '<div class="slope-stepper-container">
                        <input class="decrement-button" type="button" value="-" onclick="decrementChildren();" />
                        <input class="valore-stepper" type="text" name="reservation[guests][children]" id="children" value="0" min="0" max="99" />
                        <input class="increment-button" type="button" value="+" onclick="incrementChildren();" />
					</div></div>';
		} else if ($options['show_infants']) {
			$html .= '<div class="slope-block"><label class="stepper-label">Neonati:</label>
                        <div class="slope-stepper-container">
                        <input class="decrement-button" type="button" value="-" onclick="decrementInfants();" />
                        <input class="valore-stepper" type="text" name="reservation[guests][infants]" id="infants" value="0" min="0" max="99" />
                        <input class="increment-button" type="button" value="+" onclick="incrementInfants();" />
					</div></div>';
		}
		return $html . '<div class="slope-block"><input type="submit" value="' . $options['button_value'] . '" style="background:' . $options['button_color'] . ';color:' . $options['text_button_color'] . '" formtarget="' . $book_target . '" /></div>
		</form>
	</div>' . $content;
	}
}

add_shortcode('slope-reservations', 'slope_reservations');

// Loads the CSS based on the chosen layout
function slope_layout_select() {
	$options = get_option('slope_options');

	if ($options['option_set'] == SLOPE_LAYOUT_HORIZONTAL) {
		wp_enqueue_style('slope_horizontal_css', plugins_url('css/slope-widgets-horizontal.css', __FILE__));
	} else if ($options['option_set'] == SLOPE_LAYOUT_VERTICAL) {
		wp_enqueue_style('slope_vertical_css', plugins_url('css/slope-widgets-vertical.css', __FILE__));
	}

}
